Subject: Re: [PATCH 0/8] arm64: Optimise and update memcpy, user copy and string routines

From: Robin Murphy <[email-masked]>
Date: Fri, 18 Oct 2019 10:28:17 +0100

On 2019-10-18 8:54 am, Catalin Marinas wrote:
> Hi Robin,
> 
> On Tue, Oct 15, 2019 at 04:49:55PM +0100, Robin Murphy wrote:
>> Robin Murphy (1):
>>    arm64: Tidy up _asm_extable_faultaddr usage
>>
>> Sam Tebbs (7):
>>    arm64: Allow passing fault address to fixup handlers
>>    arm64: Import latest Cortex Strings memcpy implementation
>>    arm64: Import latest version of Cortex Strings' memcmp
>>    arm64: Import latest version of Cortex Strings' memmove
>>    arm64: Import latest version of Cortex Strings' strcmp
>>    arm64: Import latest version of Cortex Strings' strlen
>>    arm64: Import latest version of Cortex Strings' strncmp
> 
> Apart from the kprobes build failure (patch available already), I found
> two more:
> 
> - with CONFIG_KASAN enabled:
> 
> arch/arm64/lib/memmove.o: in function `__pi_memmove':
> arch/arm64/lib/memmove.S:57:(.text+0xc): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `memcpy' defined in .text section in mm/kasan/common.o
> 
> - big endian (I think kbuild robot also reported this):
> 
> arch/arm64/lib/strcmp.S: Assembler messages:
> arch/arm64/lib/strcmp.S:118: Error: immediate value out of range 0 to 63 at operand 3 -- `lsr x2,x2,#560'
> 
> I'll drop the series for now (already removed it from for-next/core
> yesterday) until the above are addressed.

Thanks Catalin - I've already fixed the big-endian typo locally, and for 
the KASAN thing it seems we probably just overlooked an 
s/memcpy/__memcpy/ conversion, but I'll double-check before resending.

Robin.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel